cgCreateEffectFromFile(3)

NAME
cgCreateEffectFromFile - create an effect object from a file

SYNOPSIS
  #include <Cg/cg.h>
  CGeffect cgCreateEffectFromFile( CGcontext context,
                                   const char * filename,
                                   const char ** args );

PARAMETERS

context
    The context to which the new effect will be added.

filename
    Name of a file that contains the effect's source code.

args
    If args is not NULL it is assumed to be an array of NULL-terminated strings that will be passed directly to the compiler as arguments. The last value of the array must be a NULL.

RETURN VALUES
Returns a CGeffect handle on success.

Returns NULL if any error occurs. the cgGetLastListing manpage can be called to retrieve any warning or error messages from the compilation process.

DESCRIPTION
cgCreateEffectFromFile generates a new CGeffect object and adds it to the specified Cg context.

EXAMPLES
   CGcontext context = cgCreateContext();
   CGeffect effect = cgCreateEffectFromFile(context, "filename.cgfx", NULL);

ERRORS
CG_INVALID_CONTEXT_HANDLE_ERROR is generated if context is not a valid context.

CG_FILE_READ_ERROR is generated if the given filename cannot be read.

CG_COMPILER_ERROR is generated if compilation fails.

HISTORY
cgCreateEffectFromFile was introduced in Cg 1.4.

SEE ALSO
the cgCreateContext manpage, the cgCreateEffect manpage, the cgGetLastListing manpage